{% extends 'dashboard/dashboard_content.html' %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-info-circle"></i>&nbsp;&nbsp;
                My Profile
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="col-md-4 col-sm-4 col-xs-12 profile_left">
                <div class="profile_img">
                    <div id="crop-avatar">
                        {% load static %}
                        {% get_media_prefix as MEDIA_ROOT %}
                        {% if obj.gender == "M" %}
                            <img src={% if obj.user.avatar %}
                                {{ MEDIA_ROOT }}{{ obj.user.avatar }}{% else %}
                                "{{ MEDIA_ROOT }}/images/male.png"
                            {% endif %}
                                 alt="No image" height="250px"
                                 width="250px"><br/>
                        {% endif %}
                        {% if obj.gender == "F" %}
                            <img src={% if obj.user.avatar %}
                                {{ MEDIA_ROOT }}{{ obj.user.avatar }}{% else %}
                                "{{ MEDIA_ROOT }}/images/female.png"
                            {% endif %}
                                 alt="No image"
                                 height="250px" width="250px"><br/>
                        {% endif %}
                    </div>
                </div>
            </div>

            <div class="col-md-8 col-sm-8 col-xs-12">
                {% csrf_token %}
                {% if request.session.user_type == "student" %}
                    <table class="table">
                        <tr>

                            <th><i class="fa fa-user"></i>&nbsp;&nbsp;
                                Name
                            </th>
                            <td>
                                {{ obj.first_name }}&nbsp;{{ obj.middle_name }}&nbsp;{{ obj.last_name }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-hashtag"></i>&nbsp;&nbsp;
                                Roll No
                            </th>
                            <td>
                                {{ obj.roll_no }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-phone"></i>&nbsp;&nbsp;
                                Phone no
                            </th>
                            <td>
                                {{ obj.phone_number }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-envelope"></i>&nbsp;&nbsp;
                                Email id
                            </th>
                            <td>
                                <a href="mailto:{{ custuser.email }}">{{ custuser.email }}</a>
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {% if obj.gender == "M" %}
                                    <i class="fa fa-mars"></i>&nbsp;&nbsp;
                                {% endif %}
                                {% if obj.gender == "F" %}
                                    <i class="fa fa-venus"></i>&nbsp;&nbsp;
                                {% endif %}
                                Gender
                            </th>
                            <td>
                                {% if obj.gender == "M" %}
                                    Male
                                {% endif %}
                                {% if obj.gender == "F" %}
                                    Female
                                {% endif %}

                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-calendar"></i>&nbsp;&nbsp;
                                DOB
                            </th>
                            <td>
                                {{ obj.dob }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-university"></i>&nbsp;&nbsp;
                                Department
                            </th>
                            <td>
                                {{ obj.department }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-group"></i>&nbsp;&nbsp;
                                Batch
                            </th>
                            <td>
                                {{ obj.batch }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-newspaper-o"></i>&nbsp;&nbsp;
                                Current semester
                            </th>
                            <td>
                                {{ current_semester_of_student }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-mortar-board"></i>&nbsp;&nbsp;
                                Qualification
                            </th>
                            <td>
                                {{ obj.qualification }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-home"></i>&nbsp;&nbsp;
                                Permanent address
                            </th>
                            <td>
                                {{ obj.permanent_address }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-building"></i>&nbsp;&nbsp;
                                Temporary address
                            </th>
                            <td>
                                {{ obj.temporary_address }}
                            </td>
                        </tr>
                    </table>
                {% endif %}
                {% if request.session.user_type != "student" %}
                    <table class="table">
                        <tr>

                            <th><i class="fa fa-user"></i>&nbsp;&nbsp;
                                Name
                            </th>
                            <td>
                                {{ obj.first_name }}&nbsp;{{ obj.middle_name }}&nbsp;{{ obj.last_name }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-hashtag"></i>&nbsp;&nbsp;
                                Staff id
                            </th>
                            <td>
                                {{ obj.staff_id }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-phone"></i>&nbsp;&nbsp;
                                Phone no
                            </th>
                            <td>
                                {{ obj.phone_number }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-envelope"></i>&nbsp;&nbsp;
                                Email id
                            </th>
                            <td>
                                <a href="mailto:{{ custuser.email }}">{{ custuser.email }}</a>
                            </td>
                        </tr>
                        <tr>
                            <th>
                                {% if obj.gender == "M" %}
                                    <i class="fa fa-mars"></i>&nbsp;&nbsp;
                                {% endif %}
                                {% if obj.gender == "F" %}
                                    <i class="fa fa-venus"></i>&nbsp;&nbsp;
                                {% endif %}
                                Gender
                            </th>
                            <td>
                                {% if obj.gender == "M" %}
                                    Male
                                {% endif %}
                                {% if obj.gender == "F" %}
                                    Female
                                {% endif %}

                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-calendar"></i>&nbsp;&nbsp;
                                DOB
                            </th>
                            <td>
                                {{ obj.dob }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-university"></i>&nbsp;&nbsp;
                                Department
                            </th>
                            <td>
                                {{ obj.department }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-suitcase"></i>&nbsp;&nbsp;
                                Designation
                            </th>
                            <td>
                                {{ obj.designation }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-mortar-board"></i>&nbsp;&nbsp;
                                Qualification
                            </th>
                            <td>
                                {{ obj.qualification }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-dot-circle-o"></i>&nbsp;&nbsp;
                                Degree
                            </th>
                            <td>
                                {{ obj.degree }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-star"></i>&nbsp;&nbsp;
                                Specialization
                            </th>
                            <td>
                                {{ obj.specialization }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-home"></i>&nbsp;&nbsp;
                                Permanent address
                            </th>
                            <td>
                                {{ obj.permanent_address }}
                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-building"></i>&nbsp;&nbsp;
                                Temporary address
                            </th>
                            <td>
                                {{ obj.temporary_address }}
                            </td>
                        </tr>
                    </table>
                {% endif %}
                <div class="col-md-1"></div>
                <div class="col-md-11">
                    {% if not staff_pk %}
                        <a href="{% url "update_user" %}">
                            <button class="save btn btn-lg btn-success">Edit
                            </button>
                        </a>
                    {% endif %}
                </div>
                <label class="col-sm-2 control-label"
                       id={{ field.id_for_label }}>{{ field.label }}</label>
                <div class="col-sm-9">
                    {{ field }}
                    {% for error in field.errors %}
                        <span class="help-block">
                                            {{ error|escape }}
                                        </span>
                    {% endfor %}
                </div>
            </div>

        </div>
    </div>

    {% if paper_list %}
        <div class="panel panel-default">
            <div class="panel-heading">
                <h5><strong>List of Papers Published</strong></h5>
            </div>
            <div class="panel-body">
                <table cellpadding="5" class="table table-striped table-bordered table-hover" style="table-layout: fixed">
                    <thead>
                    <tr>
                        <th style="width: 5%;word-wrap: break-word;text-align: center">S. No.</th>
                        <th style="width: 30%;word-wrap: break-word;text-align: center">Research Paper</th>
                        <th style="width: 45%;word-wrap: break-word;text-align: center">Description</th>
                        <th style="width: 20%;word-wrap: break-word;text-align: center">Year of Publish</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for paper in paper_list %}
                        <tr>
                            <td style="width: 5%;word-wrap: break-word;text-align: center">{{ forloop.counter }}</td>
                            <td style="width: 30%;word-wrap: break-word">{{ paper.paper_name }}</td>
                            {% if paper.description %}
                                <td style="width: 45%;word-wrap: break-word">
                                    {{ paper.description }}
                                </td>
                            {% else %}
                                <td align="center" style="width: 45%;">
                                    -
                                </td>
                            {% endif %}
                            <td style="width: 20%;word-wrap: break-word;text-align: center">{{ paper.year_of_publish }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    {% endif %}

    {% if course_list %}
        <div class="panel panel-default">
            <div class="panel-heading">
                <h5><strong>List of Courses Attended</strong></h5>
            </div>
            <div class="panel-body">
                <table cellpadding="5" class="table table-striped table-bordered table-hover" style="table-layout: fixed">
                    <thead>
                    <tr>
                        <th style="width: 5%;word-wrap: break-word;text-align: center">S. No.</th>
                        <th style="width: 30%;word-wrap: break-word;text-align: center">Course Attended</th>
                        <th style="width: 45%;word-wrap: break-word;text-align: center">Description</th>
                        <th style="width: 20%;word-wrap: break-word;text-align: center">Date Attended</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for course in course_list %}
                        <tr>
                            <td style="width: 5%;word-wrap: break-word;text-align: center">{{ forloop.counter }}</td>
                            <td style="width: 30%;word-wrap: break-word">{{ course.course_name }}</td>
                            {% if course.description %}
                                <td style="width: 45%;word-wrap: break-word">
                                    {{ course.description }}
                                </td>
                            {% else %}
                                <td align="center" style="width: 45%;">
                                    -
                                </td>
                            {% endif %}
                            <td style="width: 20%;word-wrap: break-word;text-align: center">{{ course.date }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    {% endif %}

{% endblock %}